Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.webapp.action
Class SignupAction

    java.lang.Object
      com.opensymphony.xwork2.ActionSupport
          com.gisgraphy.webapp.action.BaseAction
              com.gisgraphy.webapp.action.SignupAction

All Implemented Interfaces:
  com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, java.io.Serializable

    public class SignupAction

extends BaseAction

Action to allow new users to sign up.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.gisgraphy.webapp.action.BaseAction
`CANCEL, delete, from, log, mailEngine, mailMessage, roleManager, save, templateName, userManager`

Fields inherited from class com.opensymphony.xwork2.ActionSupport
`LOG`

Fields inherited from interface com.opensymphony.xwork2.Action
`ERROR, INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`SignupAction()`

Method Summary
`java.lang.String` | `doDefault()` Returns "input"
`java.lang.String` | `execute()` When method=GET, "input" is returned.
`User` | `getUser()` Return an instance of the user - to display when validation errors occur
`java.lang.String` | `save()` Save the user, encrypting their passwords if necessary
`void` | `setCancel(java.lang.String cancel)`
`void` | `setUser(User user)`

Methods inherited from class com.gisgraphy.webapp.action.BaseAction
`cancel, getConfiguration, getRequest, getResponse, getSession, saveMessage, sendUserMessage, setDelete, setFrom, setMailEngine, setMailMessage, setRoleManager, setSave, setTemplateName, setUserManager`

Methods inherited from class com.opensymphony.xwork2.ActionSupport
`addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignupAction

    public SignupAction()

Method Detail

### setCancel

    public void setCancel(java.lang.String cancel)

### setUser

    public void setUser(User user)

### getUser

    public User getUser()

  Return an instance of the user - to display when validation errors occur

  Returns:
    a populated user

### execute

    public java.lang.String execute()

  When method=GET, "input" is returned. Otherwise, "success" is returned.

  Specified by:
    `execute` in interface `com.opensymphony.xwork2.Action`
  Overrides:
    `execute` in class `com.opensymphony.xwork2.ActionSupport`
  Returns:
    cancel, input or success

### doDefault

    public java.lang.String doDefault()

  Returns "input"

  Overrides:
    `doDefault` in class `com.opensymphony.xwork2.ActionSupport`
  Returns:
    "input" by default

### save

    public java.lang.String save()
                          throws java.lang.Exception

  Save the user, encrypting their passwords if necessary

  Returns:
    success when good things happen
  Throws:
    `java.lang.Exception` - when bad things happen

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.